package com.edu.service.exception;


public class BussinessException extends RuntimeException {

    private String errMsg;

    private String errCode;

    public BussinessException(String errCode, String errMsg){
        super(errMsg);
        this.errCode = errCode;
        this.errMsg = errMsg;
    }
    public BussinessException(String errMsg){
        super(errMsg);
        this.errMsg = errMsg;
    }
    /**
     * @param cause
     */
    public BussinessException(Throwable cause){
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public BussinessException(String message, Throwable cause){
        super(message, cause);
    }
    
    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public String getErrCode() {
        return errCode;
    }

    public void setErrCode(String errCode) {
        this.errCode = errCode;
    }

}